/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * Information related to the incident.
 */
@ApiModel(description = "Information related to the incident.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model92 {
  @SerializedName("date")
  private LocalDate date = null;

  @SerializedName("location")
  private Model76 location = null;

  @SerializedName("description")
  private String description = null;

  public Model92 date(LocalDate date) {
    this.date = date;
    return this;
  }

   /**
   * Date and time of the accident. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return date
  **/
  @ApiModelProperty(required = true, value = "Date and time of the accident. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getDate() {
    return date;
  }

  public void setDate(LocalDate date) {
    this.date = date;
  }

  public Model92 location(Model76 location) {
    this.location = location;
    return this;
  }

   /**
   * Get location
   * @return location
  **/
  @ApiModelProperty(value = "")
  public Model76 getLocation() {
    return location;
  }

  public void setLocation(Model76 location) {
    this.location = location;
  }

  public Model92 description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Description of the incident.
   * @return description
  **/
  @ApiModelProperty(value = "Description of the incident.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model92 model92 = (Model92) o;
    return Objects.equals(this.date, model92.date) &&
        Objects.equals(this.location, model92.location) &&
        Objects.equals(this.description, model92.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(date, location, description);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model92 {\n");
    
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

